# QSoas

<img src='https://raw.githubusercontent.com/fourmond/QSoas/release/QSoas-logo.svg' width=200 />

QSoas is a powerful, scriptable data analysis software. It features:

 * a very powerful fit interface, making it easy to find parameters in
 difficult cases;
 * global fits with many datasets;
 * formula-based fits, fits based on differential or ordinary equations,
 and a series of predefined fits with smart parameter detection;
 * many data processing commands, with statistics, filtering,
 mathematic transformations;
 * numerous special mathematic functions available for fits and
 mathematical transformations;
 * peak detection;
 * full scriptability via command files and even embedded
 [mruby](https://mruby.org/) programs.

## Documentation

Browse the [manual](http://qsoas.org/reference/) or take a look at the
[tutorial](http://qsoas.org/tutorial/).

There is also a series of articles about various features of QSoas
[there](https://vince-debian.blogspot.com/search/label/qsoas).

## Support

For reporting bugs, you can use github's
[issues](https://github.com/fourmond/QSoas/issues). You can also use
it for discussions.

You can alternatively ask for help in the
[Twitter](https://twitter.com/QSoasSoftware) or the
[Facebook](https://www.facebook.com/QSoasSoftware/) pages. 

## Compilation

To compile, look at the [compilation notes](https://github.com/fourmond/QSoas/blob/release/compilation.md).

## Ready-to-use executables

You can buy the latest executables [there](https://evalorix.com/en/shop/science-and-engineering/qsoas-software/).

Or you can try [version 1.0](http://bip.cnrs-mrs.fr/bip06/qsoas/downloads/QSoas-1.0.zip) for free !




